Author Topic: Fehlermeldung nach Umstellung auf PHP 8  (Read 376 times)

Offline paulchen

  • Posts: 172
  • Gender: Male
    • PV-Steuer-Shop
Fehlermeldung nach Umstellung auf PHP 8
« on: September 28, 2021, 08:41:40 PM »
Mein Provider hat mich informiert, dass er in Kürze meine Webseite von PHP 7.3 auf die neuste stabile PHP-Version = V. 8.0.11 umstellen wird.

Ich habe dies nun vorweggenommen und erhalte seither immer wieder folgende Meldung im ErrorLog:
Tue, 28 Sep 2021 11:32:19 +0000 [E_WARNING] /framework/class.frontend.php:[199] from /pages/index.php:[4] require "Trying to access array offset on value of type null"

Die Index.php hat folgenden Inhalt:

Code: [Select]
<?php
$page_id 
55;
require(
"../config.php");
require(
WB_PATH."/index.php");
?>


Es gibt zwar eine ganze Reihe von Treffern beim Googlen nach dieser Meldung, aber reichen meine Kenntnisse nicht aus, um daraus Schlüsse zu ziehen.

Hatjemand einen Tipp für mich?


mfg
Paulchen

Offline Luisehahne

  • WebsiteBaker Org e.V.
  • **
  • Posts: 4459
  • Gender: Male
Re: Fehlermeldung nach Umstellung auf PHP 8
« Reply #1 on: September 28, 2021, 10:18:16 PM »
Zu wenig Informationen. Ich rate mal, du solltest auf WB 2.13.0 upgraden. Diese Art des Aufbaues von Zugriffs Dateien gibt es nicht mehr

so sieht es jetzt aus, aber nicht manuell bearbeiten/ändern.

Code: [Select]
<?php
// *** This file was created automatically by 
// *** WebsiteBaker Ver.2.13.1 Rev.64
// *** on Mon, 28 Jun 2021 11:19:17 +0000
// *************************************************
// *** Do not modify this file manually
// *** WB will rebuild this file from time to time!!
// *************************************************
  
$page_id 87;
  require(
'../index.php');
// *************************************************
// end of file

Mehr Detailinformationen wären sinnvoll

Dietmar
Note: Once the code has been generated, it is easy to debug. It's not a bug, it's a feature!

Offline paulchen

  • Posts: 172
  • Gender: Male
    • PV-Steuer-Shop
Re: Fehlermeldung nach Umstellung auf PHP 8
« Reply #2 on: September 28, 2021, 11:08:03 PM »
Meine WB-Version ist V. 2.13.0 r63 ...

Warum das File noch anscheinend auf dem alten Stand ist,  kann ich nicht sagen.
Wenn du weitere Infos brauchst, liefere ich sie gerne. Lass mich wissen, welche Detailinfos nötig sind.

mfg
Paulchen


Offline crnogorac081

  • Posts: 1995
  • Gender: Male
Re: Fehlermeldung nach Umstellung auf PHP 8
« Reply #3 on: September 29, 2021, 07:12:42 AM »
Try Info icon , popup will appear, and you have there  Rebuild access files
UI / UX Designer

Offline paulchen

  • Posts: 172
  • Gender: Male
    • PV-Steuer-Shop
Re: Fehlermeldung nach Umstellung auf PHP 8
« Reply #4 on: September 29, 2021, 09:02:03 AM »
Thank you.

I tried your suggestion - but there is no change in index.php  :?

mfg
Paulchen

Try Info icon , popup will appear, and you have there  Rebuild access files

Offline crnogorac081

  • Posts: 1995
  • Gender: Male
Re: Fehlermeldung nach Umstellung auf PHP 8
« Reply #5 on: September 29, 2021, 10:21:06 AM »
You do not change index.php file, but other files like mypage.php
UI / UX Designer

Offline paulchen

  • Posts: 172
  • Gender: Male
    • PV-Steuer-Shop
Re: Fehlermeldung nach Umstellung auf PHP 8
« Reply #6 on: September 29, 2021, 10:52:53 AM »
Nichts desto trotz - es erscheinen nach wie vor Fehlermeldungen.
Vielleicht habe ich es anfänglich übersehen oder es ist tatsächlich neu:
Es ist immer ein Dreierpaket, das ins ErrorLog geschrieben wird:

Code: [Select]
Wed, 29 Sep 2021 07:34:38 +0000 [E_WARNING] /framework/class.frontend.php:[199] from /pages/index.php:[4] require "Trying to access array offset on value of type null"
Wed, 29 Sep 2021 07:34:38 +0000 [E_WARNING] /framework/class.frontend.php:[208] from /pages/index.php:[4] require "Trying to access array offset on value of type null"
Wed, 29 Sep 2021 07:34:38 +0000 [E_WARNING] /framework/class.frontend.php:[215] from /pages/index.php:[4] require "Trying to access array offset on value of type null"

Offline Luisehahne

  • WebsiteBaker Org e.V.
  • **
  • Posts: 4459
  • Gender: Male
Re: Fehlermeldung nach Umstellung auf PHP 8
« Reply #7 on: September 29, 2021, 11:00:46 AM »
Meine WB-Version ist V. 2.13.0 r63 ...

Warum das File noch anscheinend auf dem alten Stand ist,  kann ich nicht sagen.
Wenn du weitere Infos brauchst, liefere ich sie gerne. Lass mich wissen, welche Detailinfos nötig sind.


Von welcher WB Version hast du auf WB 2.13.0 aktualisiert?

Und  FTP und Superadmin Zugangsdaten per PM an mich dann schau ich nach. was da passiert.

Dietmar
Note: Once the code has been generated, it is easy to debug. It's not a bug, it's a feature!

Offline paulchen

  • Posts: 172
  • Gender: Male
    • PV-Steuer-Shop
Re: Fehlermeldung nach Umstellung auf PHP 8
« Reply #8 on: September 29, 2021, 11:59:41 AM »
Letzte  WB-Version war 2.12.2 R:??

PM ist raus.

mfg
Paulchen